>From e21b6bb2af2254a240697601af5c988568336a7b Mon Sep 17 00:00:00 2001
From: unknown <Amos@.(none)>
Date: Mon, 7 Jun 2010 11:19:12 +0300
Subject: [PATCH 7/8] disable parallel port driver service

---
 lib/Sys/VirtV2V/Converter/Windows.pm |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

diff --git a/lib/Sys/VirtV2V/Converter/Windows.pm b/lib/Sys/VirtV2V/Converter/Windows.pm
index c7f91ff..9c0b707 100644
--- a/lib/Sys/VirtV2V/Converter/Windows.pm
+++ b/lib/Sys/VirtV2V/Converter/Windows.pm
@@ -230,6 +230,7 @@ sub _update_system_registry
     _add_viostor_to_registry ($system_h, $desc);
     _add_service_to_registry ($system_h, $desc);
     _disable_vmware_tools ($system_h, $desc);
+    _disable_parallel_port_driver_service ($system_h, $desc);  
 
     $system_h->commit (undef);
     undef $system_h;
@@ -298,7 +299,30 @@ sub _remove_vmware_registry_run
        
 }
 
+sub _disable_parallel_port_driver_service
+{
+    my $h = shift;
+    my $desc = shift;
+    
+    # Make the changes.
+    my $regedits = '
+[HKEY_LOCAL_MACHINE\SYSTEM\ControlSet001\Services\Parport]
+"Start"=dword:00000004
     
+';
+    my $io = IO::String->new ($regedits);
+
+    local *_map = sub {
+        if ($_[0] =~ /^HKEY_LOCAL_MACHINE\\SYSTEM(.*)/i) {
+            return ($h, $1);
+        } else {
+            die "can only make updates to the SYSTEM hive (key was: $_[0])\n"
+        }
+    };
+
+    reg_import ($io, \&_map);
+
+}    
 
 # See http://rwmj.wordpress.com/2010/04/30/tip-install-a-device-driver-in-a-windows-vm/
 sub _add_viostor_to_registry
-- 
1.6.1.9.g97c34

